FaqJ2MEOtherOpSys

Does the NetBeans Mobility Pack support Solaris and Mac OS X?

Java ME development in NetBeans requires an emulator platfom to be installed and registered in the IDE for default configurations to work. The Sun Java Wireless Toolkit and other major vendor SDKs are only available for the Windows and Linux operating systems. There are two exceptions:

Solaris: There is currently only one MIDP emulator available for Solaris. The Java ME Microemulator enables some basic support for CLDC development.

Mac OS X: Early Access of Java ME SDK 3.0 is available here: http://java.sun.com/javame/downloads/sdk30_mac.jsp


Applies to: Mobility Pack 6.5 or higher

Platforms: Mac OS X, Solaris


Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo